/**

    Copyright 2007 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spagic.

    Spagic is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spagic is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
**/
package org.spagic.registry.utils.test;

import java.util.ArrayList;
import java.util.List;

import javax.xml.registry.infomodel.Organization;
import javax.xml.registry.infomodel.Service;
import javax.xml.registry.infomodel.ServiceBinding;

import org.spagic.registry.utils.IServiceRegistry;
import org.spagic.registry.utils.JAXRServiceRegistryImpl;
import org.spagic.registry.utils.ServiceRegistryException;


public class TestCreateServices {
	
	public static void main(String[] args) {
		IServiceRegistry serviceRegistry = null;
		try{
			serviceRegistry = new JAXRServiceRegistryImpl();
			serviceRegistry.initRegistry();
			Organization engiOrg = serviceRegistry.getOrganizationByName("Engineering");
			
			Service service1 = serviceRegistry.newService("service1", "Description for service1");
			//service1.setUserVersion("v1");
			//service1.getUserVersion();
			service1.setMajorVersion(10);
			service1.setMinorVersion(1);
			ServiceBinding serviceBinding1 = serviceRegistry.newServiceBinding("service1", "http://localhost:8080/Service1");
			List<ServiceBinding> bindings = new ArrayList<ServiceBinding>();
			bindings.add(serviceBinding1);
			serviceRegistry.publishService(engiOrg, service1, bindings);
			
			bindings.clear();
			Service service2 = serviceRegistry.newService("service2", "Description for service2");
			
			ServiceBinding serviceBinding2 = serviceRegistry.newServiceBinding("service2", "http://localhost:8080/Service2");
			bindings.add(serviceBinding2);
			serviceRegistry.publishService(engiOrg, service2, bindings);
			serviceRegistry.finalizeRegistry();
		}catch (Exception e) {
			e.printStackTrace();
		}finally{
			serviceRegistry.finalizeRegistry();
		}
		
	}
}
