/**

    Copyright 2007 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spagic.

    Spagic is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spagic is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
**/
package org.spagic.registry.utils.tools;


import java.io.BufferedReader;
import java.io.FileReader;

import javax.xml.registry.infomodel.ClassificationScheme;
import javax.xml.registry.infomodel.Organization;

import org.spagic.registry.utils.IServiceRegistry;
import org.spagic.registry.utils.JAXRServiceRegistryImpl;



public class LoadTaxonomyTool {
	
	public static void main(String[] args) {
	
		BufferedReader br  = null;
		IServiceRegistry serviceRegistry = null;
		try{
			serviceRegistry = new JAXRServiceRegistryImpl();
			serviceRegistry.initRegistry();
			String fileName = args[0];
			br = new BufferedReader(new FileReader(fileName));
			String[] tokens = null;
			String line = null;
			
			String taxonomyName = null;
			ClassificationScheme tax = null;
			while ((line = br.readLine()) != null) {
				if (line.startsWith("#")){
					taxonomyName = line.substring(1);
					System.out.println(" taxonomy ["+taxonomyName+"]");
					tax = serviceRegistry.newClassificationScheme(taxonomyName, taxonomyName);
					tax = serviceRegistry.publishClassificationScheme(tax);
				}else{
					String classificationValue = line.substring(2);
					System.out.println("Add Value["+classificationValue+"]");
					//serviceRegistry.addValueToClassificationScheme(cScheme, classificationValue)
					serviceRegistry.addValueToClassificationScheme(tax, classificationValue);
				}
			}
		}catch (Exception e) {
			e.printStackTrace();
		}finally{
			try{
				br.close();
			}catch (Exception ioe) {
				ioe.printStackTrace();
			}
			serviceRegistry.finalizeRegistry();
		}
	}
	
}
